## org.apache.mahout.clustering.spectral.eigencuts
Class EigencutsAffinityCutsJob.EigencutsAffinityCutsCombiner

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.Text,VertexWritable,org.apache.hadoop.io.Text,VertexWritable>
          org.apache.mahout.clustering.spectral.eigencuts.EigencutsAffinityCutsJob.EigencutsAffinityCutsCombiner

Enclosing class:
  EigencutsAffinityCutsJob

    public static class EigencutsAffinityCutsJob.EigencutsAffinityCutsCombiner

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.Text,VertexWritable,org.apache.hadoop.io.Text,VertexWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`EigencutsAffinityCutsJob.EigencutsAffinityCutsCombiner()`

Method Summary
`protected void` `reduce(org.apache.hadoop.io.Text t, java.lang.Iterable<VertexWritable> vertices, org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EigencutsAffinityCutsJob.EigencutsAffinityCutsCombiner

    public EigencutsAffinityCutsJob.EigencutsAffinityCutsCombiner()

Method Detail

### reduce

    protected void reduce(org.apache.hadoop.io.Text t,
                          java.lang.Iterable<VertexWritable> vertices,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws java.io.IOException,
                          java.lang.InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.Text,VertexWritable,org.apache.hadoop.io.Text,VertexWritable>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.